Subject: Re: [nmrg] call for adoption as RG document : draft-zhou-nmrg-digitaltwin-network-concepts

From: Qin Wu <[email-masked]>
Date: Sat, 8 Jan 2022 08:15:15 +0000

Hi, Jordi:
Thanks for your valuable comments, see reply inline below.
发件人: nmrg [mailto:[email-masked]] 代表 Jordi Paillissé
发送时间: 2022年1月5日 20:52
收件人: Ciavaglia, Laurent <laurent.ciavaglia=[email-masked]>; [email-masked]
抄送: [email-masked]
主题: Re: [nmrg] call for adoption as RG document : draft-zhou-nmrg-digitaltwin-network-concepts

Dear NMRG and Laurent,

I have read and support the adoption of the draft as a RG document.

I believe it addresses a relevant problem and outlines the next step in network modeling, that can help in managing large-scale networks. There are articles in the literature that discuss the limitations of current modeling tools [1].

I think that the draft needs some more level of detail but I’m fine discussing after adoption, such as:
    • Which are the outputs of the digital twin? Eg. I was thinking of performance metrics such as delay or loss, but the authors may have others in mind.

[Qin Wu] I think the output of the digital twin network platform is highly dependent on use cases we are targeting to. Section 9 briefly touch such use cases. One of use cases derived from section 9 is network configuration verification,

Before install these network configuration by NMS, the digital twin network platform can verify these configuration and make sure there is no misconfiguration applied to the network. Yes, performance metrics or network QoS can be another example, before optimizing the network, we need to collect performance data from the network and check whether network performance can meet the SLA set by the network operators. But in another cases, we can define performance metrics to measure or benchmark the performance of digital twin platform, e.g., how fast the digital twin platform can collect the network data, how accurate the digital twin platform can produce the results. Probably we should separate these two different use cases.

    • I would emphasize the use case of network optimization (it is already mentioned in sec. 5), but I’d add that the applications connected to the digital twin can be network optimizers that find optimal configurations. Since you can connect different applications, you can try different optimization techniques / algorithms.

[Qin Wu] Yes, network optimization can be a valid use cases for Functional Models defined in this draft, it need to be built on top of network digital model and simulation which use of interactive virtual-real mapping to build closed-loop

   network automation.

    • I also agree with Daniel that the draft needs more references.

[Qin Wu] Good, just want to clarify that this draft looks into apply digital twin concept widely adopted in industry 4.0 to network field and first introduce digital twin **network** concept, therefore use cases are slightly different.

But many reference can be a good inputs.
Thanks, and happy new year!

Jordi

[1] Qizhen Zhang, Kelvin K. W. Ng, Charles Kazer, Shen Yan, João Sedoc, and Vincent Liu. 2021. MimicNet: fast performance estimates for data center networks with machine learning. In Proceedings of the 2021 ACM SIGCOMM 2021 Conference (SIGCOMM '21). Association for Computing Machinery, New York, NY, USA, 287–304. DOI:https://doi.org/10.1145/3452296.3472926

[Qin Wu] Thanks for provided references.
El 10/12/21 a les 13:01, Ciavaglia, Laurent ha escrit:
Dear NMRG,

This message starts the call for adoption as RG document for:
Digital Twin Network: Concepts and Reference Architecture - draft-zhou-nmrg-digitaltwin-network-concepts
https://datatracker.ietf.org/doc/draft-zhou-nmrg-digitaltwin-network-concepts/

Please let us know if you support or not the work becoming a RG document.
In all cases, provide detailed comments to support your opinion and send them on the mailing list.
We are particularly interested in assessing the following aspects:
1.       NMRG being a *research* group it is important to articulate well the problem(s), challenge(s) and research questions.
2.       Is the scientific soundness of the draft satisfying? (quality of the scientific proposition, rigor of the method, impact) ; “the measure of success is the quality and impact of the research results” [RFC2014]
3.       As the document proposes an *architecture*, it is important to provide a clear scope and positioning of this architecture with respect to network management/automation/operation frameworks and where/how the proposed architecture will prove useful or aims at replacing/augmenting certain functionality

The procedure for RG document adoption and important criteria are detailed here: https://mailarchive.ietf.org/arch/msg/nmrg/CVEyLUvfxJk1Ud5WdM9Y5LGvQmU

Given the time of the year, this call for adoption is open for four weeks and ends on January 7th, 2022.

Best regards, NMRG chairs
Laurent & Jérôme

_______________________________________________

nmrg mailing list

[email-masked]<mailto:[email-masked]>

https://www.irtf.org/mailman/listinfo/nmrg